log:
  path: /appdata/logs/usm-web
logging:
  level:
    root: ERROR
my:
  authorizition: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJCQ0FuMkNIRGtvU0RKdjdJcDBrMFdqVkhVUm85NElTRiJ9.zzJtS7TYaaLy-VIANMU96SOw2r9driz-0Qxy-To9ko8
  quartzScan: true
server:
  compression:
    enabled: true
    min-response-size: 1
  connection-timeout: 5000
  port: 38082
  servlet:
    context-path: /blueland-plateform-web
    session:
      cookie:
        name: blueland-plateform-web
  tomcat:
    uri-encoding: UTF-8
sharding-num: 30
spring:
  aop:
    auto: true
  http:
    encoding:
      charset: UTF-8
      enabled: true
      force: true
  redis:
    database: 8
    host: 192.168.0.52
    jedis:
      pool:
        max-idle: 8
        max-wait: -1
        min-idle: 0
    password: ''
    port: 6378
    timeout: 10000
  shardingsphere:
    datasource:
      d0:
        connection-timeout: 30000
        driver-class-name: com.mysql.cj.jdbc.Driver
        jdbc-url: jdbc:mysql://rm-uf639ss0707unw5g6.mysql.rds.aliyuncs.com:3306/fast_dev_pf?useUnicode=true&characterEncoding=utf-8&serverTimezone=GMT%2B8
        max-lifetime: 1200000
        max-pool-size: 64
        min-idle: 10
        password: Vazyme@1234
        type: com.zaxxer.hikari.HikariDataSource
        username: vazyme
      names: d0
    props:
      sql:
        show: false
    sharding:
      tables:
        t_pf_sys_oplog:
          actual-data-nodes: d0.t_pf_sys_oplog_$->{1..12}
          table-strategy:
            standard:
              precise-algorithm-class-name: com.blueland.config.DefaultPreciseShardingAlgorithm
              sharding-column: id
        t_pf_sys_pvlog:
          actual-data-nodes: d0.t_pf_sys_pvlog_$->{1..12}
          table-strategy:
            standard:
              precise-algorithm-class-name: com.blueland.config.Default2PreciseShardingAlgorithm
              sharding-column: id
